﻿*4.1
The OR=(191/378)/(87/181)=1.05

*2.
*Analyze > Regression > Binary Logistic.
*Don't forget to indicate the categorical variables and ask for the 95% CI at 'Options'.
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=ENTER Smoking 
  /CONTRAST (Smoking)=Indicator
  /PRINT=CI(95)
  /CRITERIA=PIN(0.05) POUT(0.10) ITERATE(20) CUT(0.5).
*OR=1.05 (95% CI: 0.77-1.43).
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=ENTER Age Gender Smoking 
  /CONTRAST (Smoking)=Indicator
  /CONTRAST (Gender)=Indicator(1)
  /PRINT=CI(95)
  /CRITERIA=PIN(0.05) POUT(0.10) ITERATE(20) CUT(0.5).
*Adjusted OR=0.82 (95% CI: 0.58-1.14).

*3.
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=ENTER Age Gender Smoking SES_cat Baldness Skincolor 
  /CONTRAST (Smoking)=Indicator
  /CONTRAST (Gender)=Indicator(1)
  /CONTRAST (SES_cat)=Indicator
  /CONTRAST (Baldness)=Indicator
  /CONTRAST (Skincolor)=Indicator
  /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).
*3a
Age p<0.001
Gender p=0.001
Smoking p=0.317
SES_cat p=0.205
Baldness p=0.003
Skincolor p=0.026
Conclusion: smoking and SES are not independent risk factors for AK.

*3b
OR high SES vs low SES: 1.16, 95% CI: 0.68-1.96
SES high has the second dummy variable in the categorical variable coding table
Thus SES_cat(2) is the requested OR.

*3c
Calculate the OR to the power 10 or multiply the beta (B) and the standard error (S.E.) with 10 and exponentiate to obtain the OR
1.070^10 (1.045^10 - 1.096^10)
or
EXP(0.068*10) 95% CI: (EXP(0.068*10+/-10*0.012)
OR for 10 year increase: 1.97 (95% CI:1.75-2.23).

*4.
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=ENTER Age Gender Smoking SES_cat Baldness Skincolor Age*Smoking 
  /CONTRAST (Smoking)=Indicator
  /CONTRAST (Gender)=Indicator(1)
  /CONTRAST (SES_cat)=Indicator
  /CONTRAST (Baldness)=Indicator
  /CONTRAST (Skincolor)=Indicator
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).
*the p-value of the interaction term between age and smoking is 0.200. Thus we can conclude that there is no interaction between these variables and that the risk associated
 with ageing is not different between smokers and non-smokers.

*5.
*The explained variance in question 3a is the nagelkerke's r square which was 0.184. Thus 18.4% of the variance in AK_binary is explained by the covariates in the model.
LOGISTIC REGRESSION VARIABLES AK_binary
  /METHOD=ENTER Age Gender Smoking SES_cat Baldness Skincolor Sunnycountry
  /CONTRAST (Smoking)=Indicator
  /CONTRAST (Gender)=Indicator(1)
  /CONTRAST (SES_cat)=Indicator
  /CONTRAST (Baldness)=Indicator
  /CONTRAST (Skincolor)=Indicator
  /CONTRAST (Sunnycountry)=Indicator
  /PRINT=CI(95)
  /CRITERIA=PIN(.05) POUT(.10) ITERATE(20) CUT(.5).
*the p-value of the variable sunny country is 0.393 and the nagelkerke's r square is 0.187, thus only a 0.3% increase in explained variance. 
*We can conclude that this variable does not add much to the model in 3a.
