﻿*The path to the datafile.
*Note: this is specific for each PC/account, I suggest to open the data via Menu File taskbar for the practical.
GET 
  FILE='X:\DERM\Overig\354000\EADV_Summercourse\2014\SPSS practical\Data\Original datasets\Chapter 2 SCC.sav'. 
DATASET NAME DataSet1 WINDOW=FRONT. 

*2.1a. Is the age of the first tumor different between men and women?.
*Step 1: independent samples t-test, because men and women are different subjects, thus measurements are independent from each other.
*Step 2: checking the normality assumption.
FREQUENCIES VARIABLES=Age
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.
*Checking the normality assumption using the Shapiro-Wilk test and Q-Q plots.
EXAMINE VARIABLES=Age
  /PLOT BOXPLOT STEMLEAF NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
*Step 3: Unpaired T-test.
T-TEST GROUPS=Sex(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=Age
  /CRITERIA=CI(.95).
*Step 4: Interpretation. 
*See PDF-handout.

*2.1b. Is the age of the first tumor different between man and women for each stage?.
SORT CASES  BY stage.
SPLIT FILE SEPARATE BY stage.
*Menu>Analyze>compare means>independent samples t-test.
T-TEST GROUPS=Sex(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=Age
  /CRITERIA=CI(.95).


*2.2 Nonparametric Tests: Independent Samples. 
*Menu > Non-parametrical tests > Independent samples.
NPTESTS 
  /INDEPENDENT TEST (Age) GROUP (Sex) MANN_WHITNEY 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.
*Menu > Non-parametrical tests > Legacy dialogs > 2 Independent samples.
NPAR TESTS
  /M-W= Age BY Sex(1 2)
  /MISSING ANALYSIS.

SPLIT FILE OFF.

*2.3 ANOVA.
*Analyze > Compare Means > one-way ANOVA.
ONEWAY Age BY subsite_ICD
  /STATISTICS DESCRIPTIVES HOMOGENEITY 
  /MISSING ANALYSIS
  /POSTHOC=BONFERRONI ALPHA(0.05).

*2.4 .
*step 1: which test should be used?.
*Menu>Desriptive statistics>crosstabs.
CROSSTABS
  /TABLES=Sex BY stage
  /FORMAT=AVALUE TABLES
  /CELLS=COUNT
  /COUNT ROUND CELL.
*step 1. 
*perform the chi-square test and the fishers exact test.
CROSSTABS
  /TABLES=Sex BY stage
  /FORMAT=AVALUE TABLES
  /STATISTICS=CHISQ 
  /CELLS=COUNT
  /COUNT ROUND CELL
  /METHOD=EXACT TIMER(5).
